Subject: g98 and IR-spectra/ Addition to summary

From: "Olga Dmitrenko" <[email-masked]>
Date: Wed, 25 Sep 2002 16:17:31 -0400

Hi,

Here is an addition to my previous summary on the question about 
data for IR-spectra from g98 output file:

* I've got the msg from Mário Ramos after I sammerized. But I really
appreciate it, thanks.
Mario suggests to generate the file freqchk.scr with the keyword
freqchk (number of checkpoint). Then, use emacs to create a macro that copy
these
numbers and put in a line on another file.

*I've got Ecxel file with macros and instructions from Roma Oakes . It works
nicely. Thanks.

* I also tested recent suggestion of Laurence Cuffe. I works nicely as well.
Thanks.

It uses the cut and paste commands and works for me in redhat
7.2 and Digital/compaq64 unix. The cut command might have to be
replaced in a BSD unix by
something based on "colrm"
As before we assume the output file is test.log this time and we
will create five intermediate files testF.txt, testI.txt A.txt, B.txt and
C.txt. C.txt is the new output file.
   It will have two columns of data in it,
the first frequencies and the second intensities.
The following three lines makes this happen, in case my mailer
reformats it the first two lines start with cut, the last line with paste
and they were used in the cshell csh.
grep Frequencies test.log > testF.txt; grep Inten test.log > testI.txt
cut -c18-26 testF.txt > A.txt; cut -c41-49 testF.txt >> A.txt; cut -
c64-72 testF.txt >> A.txt;
cut -c18-26 testI.txt > B.txt; cut -c41-49 testI.txt >> B.txt; cut -c64-
72 testI.txt >> B.txt;
paste A.txt B.txt > C.txt;

I am very grateful to all of you and hope that my summaries will be of help
to others.
Bests,
Olga